oracle.dbtools.plugin.api.servlet

## Interface SupportsPatch

- All Known Implementing Classes:
    HttpServletBase

      public interface SupportsPatch

  Optional interface indicating that a servlet supports the HTTP PATCH method.
  Author:
    cdivilly
  See Also:
    RFC5789: PATCH Method for HTTP

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PATCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doPatch(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Perform a HTTP PATCH operation.

- - ### Field Detail

    - #### PATCH

          static final String PATCH

      See Also:
        PATCH Method for HTTP, Constant Field Values

  - ### Method Detail

    - #### doPatch

          void doPatch(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       IOException

      Perform a HTTP PATCH operation. The PATCH method requests that a set of changes described in the request entity be applied to the resource identified by the Request-URI. The set of changes is represented in a format called a "patch document" identified by a media type. The server MUST apply the entire set of changes atomically and never provide (e.g., in response to a GET during this operation) a partially modified representation. If the entire patch document cannot be successfully applied, then the server MUST NOT apply any of the changes.
      Parameters:
        `request` - an `HttpServletRequest` object that contains the request the client has made of the servlet
        `response` - an `HttpServletResponse` object that contains the response the servlet sends to the client
      Throws:
        `IOException` - if an input or output error is detected when the servlet handles the PATCH request
        `javax.servlet.ServletException` - if the request for the PATCH could not be handled

Copyright © 2010, 2022, Oracle and/or its affiliates.